/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2019 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"
#include "PE43711.h"
/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define ATT_EN_1_8G_DL1_Pin GPIO_PIN_2
#define ATT_EN_1_8G_DL1_GPIO_Port GPIOE
#define ATT_EN_1_8G_DL2_Pin GPIO_PIN_3
#define ATT_EN_1_8G_DL2_GPIO_Port GPIOE
#define ATT_EN_1_8G_UL1_Pin GPIO_PIN_4
#define ATT_EN_1_8G_UL1_GPIO_Port GPIOE
#define ATT_EN_1_8G_UL2_Pin GPIO_PIN_5
#define ATT_EN_1_8G_UL2_GPIO_Port GPIOE
#define ATT_EN_1_8G_UL3_Pin GPIO_PIN_6
#define ATT_EN_1_8G_UL3_GPIO_Port GPIOE
#define ATT_EN_1_8G_UL4_Pin GPIO_PIN_13
#define ATT_EN_1_8G_UL4_GPIO_Port GPIOC
#define PATH_EN_1_8G_DL_Pin GPIO_PIN_14
#define PATH_EN_1_8G_DL_GPIO_Port GPIOC
#define PATH_EN_1_8G_UL_Pin GPIO_PIN_15
#define PATH_EN_1_8G_UL_GPIO_Port GPIOC
#define PLL_EN_1_8G_DL_Pin GPIO_PIN_0
#define PLL_EN_1_8G_DL_GPIO_Port GPIOF
#define PLL_EN_1_8G_UL_Pin GPIO_PIN_1
#define PLL_EN_1_8G_UL_GPIO_Port GPIOF
#define PLL_LD_1_8G_DL_Pin GPIO_PIN_2
#define PLL_LD_1_8G_DL_GPIO_Port GPIOF
#define PLL_LD_1_8G_UL_Pin GPIO_PIN_3
#define PLL_LD_1_8G_UL_GPIO_Port GPIOF
#define ATT_EN_2_1G_DL1_Pin GPIO_PIN_4
#define ATT_EN_2_1G_DL1_GPIO_Port GPIOF
#define ATT_EN_2_1G_DL2_Pin GPIO_PIN_5
#define ATT_EN_2_1G_DL2_GPIO_Port GPIOF
#define ATT_EN_2_1G_UL1_Pin GPIO_PIN_6
#define ATT_EN_2_1G_UL1_GPIO_Port GPIOF
#define ATT_EN_2_1G_UL2_Pin GPIO_PIN_7
#define ATT_EN_2_1G_UL2_GPIO_Port GPIOF
#define ATT_EN_2_1G_UL3_Pin GPIO_PIN_8
#define ATT_EN_2_1G_UL3_GPIO_Port GPIOF
#define ATT_EN_2_1G_UL4_Pin GPIO_PIN_9
#define ATT_EN_2_1G_UL4_GPIO_Port GPIOF
#define DET_3_5G_UL_IN_Pin GPIO_PIN_0
#define DET_3_5G_UL_IN_GPIO_Port GPIOC
#define DET_3_5G_UL_OUT_Pin GPIO_PIN_1
#define DET_3_5G_UL_OUT_GPIO_Port GPIOC
#define RFU_TEMP_Pin GPIO_PIN_2
#define RFU_TEMP_GPIO_Port GPIOC
#define _28V_DET_Pin GPIO_PIN_3
#define _28V_DET_GPIO_Port GPIOC
#define DET_1_8G_DL_IN_Pin GPIO_PIN_0
#define DET_1_8G_DL_IN_GPIO_Port GPIOA
#define DET_1_8G_DL_OUT_Pin GPIO_PIN_1
#define DET_1_8G_DL_OUT_GPIO_Port GPIOA
#define DET_1_8G_UL_IN_Pin GPIO_PIN_2
#define DET_1_8G_UL_IN_GPIO_Port GPIOA
#define DET_1_8G_UL_OUT_Pin GPIO_PIN_3
#define DET_1_8G_UL_OUT_GPIO_Port GPIOA
#define DET_2_1G_DL_IN_Pin GPIO_PIN_4
#define DET_2_1G_DL_IN_GPIO_Port GPIOA
#define DET_2_1G_DL_OUT_Pin GPIO_PIN_5
#define DET_2_1G_DL_OUT_GPIO_Port GPIOA
#define DET_2_1G_UL_IN_Pin GPIO_PIN_6
#define DET_2_1G_UL_IN_GPIO_Port GPIOA
#define DET_2_1G_UL_OUT_Pin GPIO_PIN_7
#define DET_2_1G_UL_OUT_GPIO_Port GPIOA
#define DET_3_5G_DL_IN_Pin GPIO_PIN_0
#define DET_3_5G_DL_IN_GPIO_Port GPIOB
#define DET_3_5G_DL_OUT_Pin GPIO_PIN_1
#define DET_3_5G_DL_OUT_GPIO_Port GPIOB
#define PLL_DATA_Pin GPIO_PIN_8
#define PLL_DATA_GPIO_Port GPIOD
#define PLL_CLK_Pin GPIO_PIN_9
#define PLL_CLK_GPIO_Port GPIOD
#define ATT_DATA_Pin GPIO_PIN_10
#define ATT_DATA_GPIO_Port GPIOD
#define ATT_CLK_Pin GPIO_PIN_11
#define ATT_CLK_GPIO_Port GPIOD
#define ALARM_DC_Pin GPIO_PIN_12
#define ALARM_DC_GPIO_Port GPIOD
#define ALARM_AC_Pin GPIO_PIN_13
#define ALARM_AC_GPIO_Port GPIOD
#define DA_LDAC_Pin GPIO_PIN_15
#define DA_LDAC_GPIO_Port GPIOD
#define DA_SYNC_Pin GPIO_PIN_2
#define DA_SYNC_GPIO_Port GPIOG
#define DA_SCLK_Pin GPIO_PIN_3
#define DA_SCLK_GPIO_Port GPIOG
#define DA_DIN_Pin GPIO_PIN_4
#define DA_DIN_GPIO_Port GPIOG
#define _T_SYNC_UL_Pin GPIO_PIN_5
#define _T_SYNC_UL_GPIO_Port GPIOG
#define T_SYNC_UL_Pin GPIO_PIN_6
#define T_SYNC_UL_GPIO_Port GPIOG
#define _T_SYNC_DL_Pin GPIO_PIN_7
#define _T_SYNC_DL_GPIO_Port GPIOG
#define T_SYNC_DL_Pin GPIO_PIN_8
#define T_SYNC_DL_GPIO_Port GPIOG
#define PLL_EN_3_5G_L_Pin GPIO_PIN_6
#define PLL_EN_3_5G_L_GPIO_Port GPIOC
#define PLL_EN_3_5G_H_Pin GPIO_PIN_7
#define PLL_EN_3_5G_H_GPIO_Port GPIOC
#define PLL_LD_3_5G_L_Pin GPIO_PIN_8
#define PLL_LD_3_5G_L_GPIO_Port GPIOC
#define PLL_LD_3_5G_H_Pin GPIO_PIN_9
#define PLL_LD_3_5G_H_GPIO_Port GPIOC
#define ATT_CLK_3_5G_Pin GPIO_PIN_0
#define ATT_CLK_3_5G_GPIO_Port GPIOD
#define ATT_EN_3_5G_Pin GPIO_PIN_1
#define ATT_EN_3_5G_GPIO_Port GPIOD
#define ATT_DATA_3_5G_DL_Pin GPIO_PIN_2
#define ATT_DATA_3_5G_DL_GPIO_Port GPIOD
#define ATT_DATA_3_5G_UL_Pin GPIO_PIN_3
#define ATT_DATA_3_5G_UL_GPIO_Port GPIOD
#define ATT_DATA_3_5G_COM1_Pin GPIO_PIN_4
#define ATT_DATA_3_5G_COM1_GPIO_Port GPIOD
#define ATT_DATA_3_5G_COM2_Pin GPIO_PIN_5
#define ATT_DATA_3_5G_COM2_GPIO_Port GPIOD
#define ATT_DATA_3_5G_COM3_Pin GPIO_PIN_6
#define ATT_DATA_3_5G_COM3_GPIO_Port GPIOD
#define PATH_EN_3_5G_L_Pin GPIO_PIN_7
#define PATH_EN_3_5G_L_GPIO_Port GPIOD
#define PATH_EN_3_5G_H_Pin GPIO_PIN_9
#define PATH_EN_3_5G_H_GPIO_Port GPIOG
#define PATH_EN_3_5G_DL_Pin GPIO_PIN_10
#define PATH_EN_3_5G_DL_GPIO_Port GPIOG
#define PATH_EN_3_5G_UL_Pin GPIO_PIN_11
#define PATH_EN_3_5G_UL_GPIO_Port GPIOG
#define PLL_ON_OFF_3_5G_L_Pin GPIO_PIN_12
#define PLL_ON_OFF_3_5G_L_GPIO_Port GPIOG
#define PLL_ON_OFF_3_5G_H_Pin GPIO_PIN_13
#define PLL_ON_OFF_3_5G_H_GPIO_Port GPIOG
#define PLL_EN_2_1G_DL_Pin GPIO_PIN_3
#define PLL_EN_2_1G_DL_GPIO_Port GPIOB
#define PLL_EN_2_1G_UL_Pin GPIO_PIN_4
#define PLL_EN_2_1G_UL_GPIO_Port GPIOB
#define PLL_LD_2_1G_DL_Pin GPIO_PIN_5
#define PLL_LD_2_1G_DL_GPIO_Port GPIOB
#define PLL_LD_2_1G_UL_Pin GPIO_PIN_6
#define PLL_LD_2_1G_UL_GPIO_Port GPIOB
#define PATH_EN_2_1G_DL_Pin GPIO_PIN_0
#define PATH_EN_2_1G_DL_GPIO_Port GPIOE
#define PATH_EN_2_1G_UL_Pin GPIO_PIN_1
#define PATH_EN_2_1G_UL_GPIO_Port GPIOE
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
